//
//  bwLiveVideoFeedQT7.h
//  VeescopeLive
//
//  Created by Brad Wright on 1/29/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <bwLiveVideoFeed.h>
#import <QTKit/QTkit.h>

#define MAX_AUDIO_CHANNELS 32

@interface BWCaptureView : QTCaptureVideoPreviewOutput {
@public
id myView;
}
@end

@interface bwLiveVideoFeedQT7 : bwLiveVideoFeed {
QTCaptureOutput *mCaptureView;
QTCaptureSession            *mCaptureSession;
QTCaptureMovieFileOutput    *mCaptureMovieFileOutput; //Inherits from QTCaptureOutput which responds to connections
QTCaptureDeviceInput        *mCaptureVideoDeviceInput;
QTCaptureDeviceInput        *mCaptureAudioDeviceInput;
SampleCIView* myViewCIView;
NSString* recordFilePath;
unsigned long current_db_peak[32];
float peak_sample_value[32];
double average_power_level[32];
unsigned long audio_level_search_count;
}

@end
