//
//  bwMD5verify.h
//  ac3dec.intel
//
//  Created by Brad Wright on 4/4/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef unsigned long int UINT4;

typedef struct {
  UINT4 i[2];                   /* number of _bits_ handled mod 2^64 */
  UINT4 buf[4];                                    /* scratch buffer */
  unsigned char in[64];                              /* input buffer */
  unsigned char digest[16];     /* actual digest after MD5Final call */
} MD5_CTX;



@interface bwMD5verify : NSObject {
MD5_CTX mdContext;
}

-(void) MDPrint;
-(NSString*) MD5String;
-(void) MD5Update:(unsigned char *)inBuf inLen:(unsigned int) inLen;
-(void) MD5Final;
-(NSString*) createCheckSum:(NSString*) fileNameString;
@end
