//
//  bwPlayButton.h
//  bwPlayButton
//
//  Created by Brad Wright on 9/6/06.
//  Copyright __MyCompanyName__ 2006 . All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface playButtonCell : NSButtonCell {
}

@end

enum {
	BWPP_PLAY_STATE,
	BWPP_PAUSE_STATE,
	BWPP_DISABLED_STATE
} BW_PLAY_PAUSE_BUTTON_STATES;
enum {
	PLAYBACK_TYPE_BUTTON=0,
	RECORD_TYPE_BUTTON=1	
	};

@interface bwPlayButton : NSControl 
{
int buttonState,buttonType;
NSImage *playImage,*pauseImage,*recordImage;
}

- (BOOL)sendAction:(SEL)theAction to:(id)theTarget;
- (void) setPlayState:(int) state;
- (int) playState;
- (void) setPlayType:(int) type;

@end
