//
//  VeescopeQTMovieOutput.h
//  VeescopeLive
//
//  Created by Brad Wright on 10/2/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface VeescopeQTMovieOutput: NSObject {
int rowBytes,Width,Height;
int needNewPixelBufferFag;
unsigned long FrameCounter;
@public
unsigned char* CVPixelBuffer;
unsigned char* myRawByteBuffer;
unsigned char* myCImage;
id mPreview;
}

-(void) saveLastFrame;
-(void) displayPreview;
-(void) setFrameSize:(int)width 
                        theHeight:(int)theHeight thePx:(int)thePx
                        thePy:(int)thePy;
-(void) addVideoSample:(unsigned char*) _frame thePts:(int)_pts theFieldDominance:(int) field_dom
	theRepeatFirstFieldFlag:(int) repeat_first_field;

-(void) setFSSpec:(void*) mySpec;
-(void) CreateMovie;
-(void) set_decode:(int)_setting;
-(void) writeRemainingTime;
-(int) loadFramesIntoArray:(void**) _array theLen:(int) len;
- writeFramesFromArray:(void**) _array theLen:(int) numFrames theStartPts:(long double) _startPTS
    theEndPTS:(long double) _endPTS;
- (void) setDuration:(int) data;
- (void) setFrameSize:(int) width theHeight:(int) height thePx:( int) px thePy:(int) py;
- setFieldDominate:(int) _field;

@end
