//
//  mp3decode.h
//  ac3dec
//
//  Created by Brad Wright on Tue Sep 02 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#define TARGET_API_MAC_CARBON 1

#ifdef __MACH__
	#include <Carbon/Carbon.h>
	#include <QuickTime/QuickTime.h>
        #include <fcntl.h>
#else
	#include <ConditionalMacros.h>
	#include <Movies.h>
	#include <QuickTimeComponents.h>
	#include <Sound.h>
	#include <Folders.h>
	#include <ToolUtils.h>
	#include <Gestalt.h>
	#include <Navigation.h>
#endif
#ifndef TARGET_API_MAC_CARBON
	#include <StandardFile.h>
#endif

#define OUTPUT_BUFFER_SIZE (1024*64)

#import "bwAudioDecoder.h"

@interface mp3decode : bwAudioDecoder {
SoundConverter	mySoundConverter;
char pDecomBuffer0[OUTPUT_BUFFER_SIZE];
char saved_buf[OUTPUT_BUFFER_SIZE];
unsigned long saved_bytes;
FILE* myFile;
}
- init;
- decode:(unsigned char*) buf theSize:(unsigned long) size;
-(unsigned long) decodeToBuffer:(unsigned char*) buf theSize:(unsigned long) size theOuputBuffer:(char*) outputBuffer;
- close;

@end
